Skip to main content
GET
/
v3
/
public
/
klineHistory
cURL
curl --request GET \
  --url https://api.woox.io/v3/public/klineHistory
{
  "success": true,
  "timestamp": 123,
  "data": {
    "rows": [
      {
        "open": "<string>",
        "close": "<string>",
        "low": "<string>",
        "high": "<string>",
        "volume": "<string>",
        "amount": "<string>",
        "symbol": "<string>",
        "type": "<string>",
        "startTimestamp": 123,
        "endTimestamp": 123
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.woox.io/llms.txt

Use this file to discover all available pages before exploring further.

Limit: 10 requests per 1 second per IP address

Query Parameters

symbol
string
required

Symbol name

type
string
required

1m/3m/5m/15m/30m/1h/2h/4h/6h/12h/1d/1w/1mon/1y

before
integer

The start timestamp cursor for fetching the previous page of results, excluding the kline associated with the cursor itself. Either before or after can be specified. If both are provided, before takes precedence. If neither is passed, the results default to starting from the most recent kline.

after
integer

The start timestamp cursor for fetching the next page of results, excluding the kline associated with the cursor itself. Either before or after can be specified. If both are provided, before takes precedence. If neither is passed, the results default to starting from the most recent kline.

limit
integer
default:100

Numbers of klines you want to query. Maximum of 1000 klines allowed.

Response

200 - application/json
success
boolean

true

timestamp
integer

timestamp

data
object